Branch-Based
Extensions » Policy-Based Data Structures » Containers » Hash-Based
Collaboration diagram for Branch-Based:

## Modules

| Base and Policy Classes
| List-Based

## Classes

class | __gnu_pbds::basic_branch< Key, Mapped, Tag, Node_Update, Policy_Tl, _Alloc >
class | __gnu_pbds::tree< Key, Mapped, Cmp_Fn, Tag, Node_Update, _Alloc >
class | __gnu_pbds::trie< Key, Mapped, _ATraits, Tag, Node_Update, _Alloc >

## Macros

#define | PB_DS_BRANCH_BASE
#define | PB_DS_TREE_BASE
#define | PB_DS_TREE_NODE_AND_IT_TRAITS
#define | PB_DS_TRIE_BASE
#define | PB_DS_TRIE_NODE_AND_IT_TRAITS

## Detailed Description